import os
from PIL import Image
import matplotlib.pyplot as plot

os.chdir('/home/benjamin/Desktop/bens_folder/school/ens/asp/aria/internship/work/datasets/raise/flat-field/TIF')

image = Image.open('flat_001.tif')
image.histogram()

HEX_COLOR = '#%02x%02x%02x'

def getColor(intensity, colorIndex):
    return HEX_COLOR % tuple((intensity if colorIndex == colorIndexTmp else 0) for colorIndexTmp in range(3))

histogram = image.histogram()

COLOR_BASE = 256
red = histogram[0:COLOR_BASE]
green = histogram[COLOR_BASE:COLOR_BASE*2]
blue = histogram[COLOR_BASE*2:COLOR_BASE*3]

for colorIndex, color in enumerate([red, green, blue]):
    #plt.figure(colorIndex)
    for i in range(COLOR_BASE):
        plt.bar(i, color[i], color = getColor(i, colorIndex), alpha = 0.3)

plt.show()